#3010 closed defect (fixed)

src/cpukit/posix/src/mmap.c:189]: (style) Suspicious condition

Reported by: David Binderman Owned by: Gedare Bloom <gedare@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

src/cpukit/posix/src/mmap.c:189]: (style) Suspicious condition (bitwise operator + comparison); Clarify expression with parentheses.

Source code is

} else if ( (flags & MAP_PRIVATE != MAP_PRIVATE) ) {

Maybe better code

} else if ( (flags & MAP_PRIVATE) != MAP_PRIVATE ) {

Change History (3)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on May 16, 2017 at 3:38:07 PM by Gedare Bloom <gedare@…>

Owner: set to Gedare Bloom <gedare@…>
Resolution: fixed
Status: newclosed

In a330c5d/rtems:

posix: clarify expression with parentheses

Close #3010.

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.